Get Review conversion report
curl --request GET \
--url https://api.birdeye.com/resources/v1/reports/business/analytics/emailimport requests
url = "https://api.birdeye.com/resources/v1/reports/business/analytics/email"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/reports/business/analytics/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"emailSentInfo": {
"total": 28,
"emailDetails": [
{
"reqType": "share_request",
"count": 5
},
{
"reqType": "share_request_reminder",
"count": 3
},
{
"reqType": "review_request",
"count": 12
},
{
"reqType": "review_request_reminder",
"count": 10
}
]
},
"emailOpenInfo": {
"total": 26,
"pc": 14,
"mobile": {
"ios": 5,
"android": 4,
"other": 0
},
"tablet": {
"ios": 3,
"android": 0,
"other": 0
}
},
"emailClickInfo": {
"total": 20,
"pc": {
"citysearch": 4,
"google": 6,
"birdeye": 4,
"otherSites": 0
},
"mobile": {
"citysearch": 2,
"google": 0,
"birdeye": 4,
"otherSites": 0
}
},
"reviews": [
{
"sourceName": "citysearch",
"sourceAlias": "citysearch",
"avgRating": 4.6,
"reviewCount": 159
},
{
"sourceName": "Google",
"sourceAlias": "google",
"avgRating": 4.9,
"reviewCount": 8
},
{
"sourceName": "Yellow Pages",
"sourceAlias": "yellow_pages",
"avgRating": 5,
"reviewCount": 1
}
],
"smsDetail": {
"msgSent": 34,
"msgClick": 28,
"destination": {
"citysearch": 12,
"google": 6,
"birdeye": 10,
"otherSites": 0
}
}
}{
"code": 1039,
"message": "Invalid business aggregation id"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Review conversion report
Review conversion report API gives you the detail overview of the review request send to the customer.
GET
/
v1
/
reports
/
business
/
analytics
/
email
Get Review conversion report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the Business.
Date from result is expected. Format MM/DD/YYYY.
Date up to result is expected. Format MM/DD/YYYY.
Use to get results for last some days.
Use to get results for last some months.
⌘I